This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### heading()
Examples |
    PVector v;

    void setup() {
      v = new PVector(10.0, 20.0);
      println(v.heading());  // Prints "1.1071488"
    }
Description | Calculates the angle of rotation for a vector (2D vectors only).
Syntax |
    .heading()
Returns | float

Updated on October 26, 2013 08:58:33pm PDT